Subject: Re: [PATCH v3 3/5] powerpc/numa: Use cpu node map of first sibling thread

From: Srikar Dronamraju <[email-masked]>
Date: Thu, 12 Sep 2019 22:53:55 +0530

> 
> I think just WARN_ON(cpu_online(fcpu)) would be satisfactory. In my
> experience, the downstream effects of violating this condition are
> varied and quite difficult to debug. Seems only appropriate to emit a
> warning and stack trace before the OS inevitably becomes unstable.

I still have to try but wouldn't this be a problem for the boot-cpu?
I mean boot-cpu would be marked online while it tries to do numa_setup_cpu.
No?

-- 
Thanks and Regards
Srikar Dronamraju